use crate::{traits::ErrorTrait, AnyError};
use thiserror::Error;

#[derive(Error, Debug)]
pub enum Error {
    #[error(transparent)]
    Any(#[from] AnyError),

    #[error("{0}")]
    Message(String),
}

impl ErrorTrait for Error {}
